#pragma once

#include "RmlUi/Core/Element.h"

namespace UI::FieldSelectButton {

class Component : public Rml::Element {
  public:
    Component(const Rml::String &tag) : Rml::Element(tag) {}

  protected:
    void OnAttributeChange(const Rml::ElementAttributes &changed) override;

  private:
    bool built = false;
    Rml::Element *value_display = nullptr;

    void Build();
};

} // namespace UI::FieldSelectButton
